<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content=""/>
    <meta name="author" content="zRed"/>
    <base href="/">
    <link rel="shortcut icon" href="favicon.ico"/>
    <link rel="stylesheet" href="lib/bootstrap/css/bootstrap.css"/>
    <link rel="stylesheet" href="lib/datatables/css/dataTables.bootstrap.css" />
    <link rel="stylesheet" href="lib/sidenav/sidenav.min.css"/>
    <link rel="stylesheet" href="lib/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="lib/jquery.lineProgressbar/jquery.lineProgressbar.css" type="text/css"/>
    <link rel="stylesheet" href="lib/offline.min.css" type="text/css"/>
    <link rel="stylesheet" href="openZmeter.css"/>
    <title>openZmeter - Events - ITIC</title>
  </head>
  <body onload="StartPageLoad()">
    <span data-load-block="Header_Block"></span>
    <div id="wrapper">
      <div class="row">
        <div class="col-lg-12">
          <div class="panel panel-other" id="ITICPanel">
            <div id="EventSpinner" class="spinnerdiv"></div>
            <div class="panel-heading">
              <span class="huge header-text">ITIC Curve (CBEMA)</span>
              <div class="header-buttons">
                  <span class="small">Time scale:</span><br>
                  <div class="btn-group">
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventYear"  data-toggle="tooltip" title="Select exactly a year period from current time">Year</button>
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventMonth" data-toggle="tooltip" title="Select exactly a month period from current time">Month</button>
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventWeek"  data-toggle="tooltip" title="Select exactly a week period from current time">Week</button>
                    <button type="button" class="btn btn-default btn-xs" id="btnShowEventDay"   data-toggle="tooltip" title="Select exactly a day period from current time">Day</button>
                  </div>
                </div>
                <div class="pull-right">&nbsp;</div>
                <div class="pull-right">
                  <span class="huge-small-unit" id="EventsSelection"></span><br>
                </div>
                <span class="clearfix"> </span>
              </div>
              <div class="panel-body panel-bigheader">
                <div class="panel-info panel-heading">
                  <div style="display:inline-block"><span class="glyphicon glyphicon-transfer"></span> Events range</div>
                  <div style="display:inline-block" class="pull-right small" id="RangeLabel">Loading...</div>
                  <div id="VoltageRangeChart" class="chart" style="height: 50px"></div>
                </div>
                <div class="row">
                  <div class="col-md-12 col-lg-6" id="ITICDiv">
                    <div>
                      <div style="display:inline-block">&nbsp;</div>
                      <div id="ITICLegend" style="float: right"></div>
                    </div>
                    <div id='itic_chart' style="margin: 5px"></div>
                  </div> 
                  <div class="col-md-12 col-lg-6" id="SubGraphsDiv">
                    <div class="row">
                      <div class="col-xs-12 col-md-6">
                        <div class="panel panel-default" style="margin: 5px"> 
                          <div class="panel-heading">
                            <span class="glyphicon glyphicon-calendar"></span> By date
                            <div class="pull-right" id="ByDateLegend"></div>
                          </div>
                          <div id="bydate_chart" style="margin: 5px; min-height: 240px"></div>
                        </div>
                      </div>
                      <div class="col-xs-12 col-md-6">
                        <div class="panel panel-default" style="margin: 5px">
                          <div class="panel-heading">
                            <i class="fa fa-signal fa-fw"></i> By type
                            <div class="pull-right" id="ByTypeLegend"></div>
                          </div>
                          <div id="bytype_chart" style="margin: 5px; min-height: 240px"></div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-xs-12 col-md-6">
                        <div class="panel panel-default" style="margin: 5px">
                          <div class="panel-heading">
                            <i class="fa fa-signal fa-fw"></i> By RMS variation
                            <div class="pull-right" id="ByRMSLegend"></div>
                          </div>
                          <div id="byrms_chart" style="margin: 5px; min-height: 240px"></div>
                        </div>
                      </div>
                      <div class="col-xs-12 col-md-6">
                        <div class="panel panel-default" style="margin: 5px">
                          <div class="panel-heading">
                            <i class="fa fa-clock-o fa-fw"></i> By duration
                            <div class="pull-right" id="ByDurationLegend"></div>
                          </div>
                          <div id="byduration_chart" style="margin: 5px; min-height: 240px"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

        </div>
      </div>
    </div>
    <script src="lib/jquery.min.js"></script>
    <script src="lib/bootstrap/js/bootstrap.js"></script>
    <script src="lib/sidenav/sidenav.min.js"></script>
    <script src="lib/spin.min.js"></script>
    <script src="lib/dygraph/dygraph.js"></script>
    <script src="lib/dygraph/crosshair.js"></script>
    <script src="lib/dygraph/dygraph-interaction.js"></script>
    <script src="lib/dygraph/synchronize.js"></script>
    <script src="lib/dygraph/chart-plotter.js"></script>
    <script src="lib/offline.min.js"></script>
    <script src="lib/momentjs/moment.js"></script>
    <script src="lib/momentjs/moment-duration-format.js"></script>  
    <script src="lib/datatables/js/jquery.dataTables.js"></script>
    <script src="lib/datatables/js/dataTables.bootstrap.js"></script>
    <script src="openZmeter.js"></script>
    <script src="Events_ITIC.js"></script>
    <script>
      StartPageLoad();
    </script>
  </body>
</html>
